package com.ss.android.ugc.aweme.compliance.business.serviceimpl;

import X.3uW;
import X.9EH;
import X.C0755RTb;
import X.Lnj;
import X.M12;
import X.RTM;
import X.RTT;
import X.RY6;
import android.content.Context;
import com.bytedance.bpea.basics.Cert;
import com.bytedance.bpea.cert.token.TokenCert;
import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;
import com.ss.android.ugc.aweme.compliance.api.services.ftc.IFTCService;

public final class FTCServiceImpl implements IFTCService {
    static {
        Covode.recordClassIndex(61148);
    }

    public final void LIZJ() {
        3uW.LIZ.LIZ.storeString("traffic_control", "");
    }

    public final void LIZ() {
        Context LIZ = 9EH.LJJIFFI.LIZ();
        RTM.LIZ.LIZ(LIZ).LIZ(false, (Cert) TokenCert.Companion.with("bpea-firebase_androidsdk_1996"));
        C0755RTb.LIZ.LIZ(true, LIZ);
    }

    public final void LIZIZ() {
        Context LIZ = 9EH.LJJIFFI.LIZ();
        RTM.LIZ.LIZ(LIZ).LIZ(true, (Cert) TokenCert.Companion.with("bpea-firebase_androidsdk_1997"));
        C0755RTb.LIZ.LIZ(false, LIZ);
        TokenCert with = TokenCert.Companion.with("bpea-appsflyer_androidsdk_1962");
        M12.LIZ(LIZ, with);
        RY6.LIZ("AppsFlyer", "start", with, new RTT(LIZ));
    }

    public static IFTCService LIZLLL() {
        MethodCollector.i(2187);
        IFTCService iFTCService = (IFTCService) Lnj.LIZ(IFTCService.class, false);
        if (iFTCService != null) {
            MethodCollector.o(2187);
            return iFTCService;
        }
        Object LIZIZ = Lnj.LIZIZ(IFTCService.class, false);
        if (LIZIZ != null) {
            IFTCService iFTCService2 = (IFTCService) LIZIZ;
            MethodCollector.o(2187);
            return iFTCService2;
        }
        if (Lnj.LLI == null) {
            synchronized (IFTCService.class) {
                try {
                    if (Lnj.LLI == null) {
                        Lnj.LLI = new FTCServiceImpl();
                    }
                } catch (Throwable th) {
                    MethodCollector.o(2187);
                    throw th;
                }
            }
        }
        FTCServiceImpl fTCServiceImpl = (FTCServiceImpl) Lnj.LLI;
        MethodCollector.o(2187);
        return fTCServiceImpl;
    }
}
